#ifndef ARMCONFIG_H
#define ARMCONFIG_H

// Using millimeters as unit
const double DH1 = 58;  // Base height (from Ground)
const double DH2 = 7;   // Wrist - Gripper height offset
const double DH = DH1 - DH2; // resulting height

const double DW1 = 15;  // Base - Shoulder distance
const double DW2 = 64;  // Wrist - Gripper width offset
const double DW = DW1 + DW2; // resulting width

const double DU = 80; // Upper Arm length (Shoulder - Elbow)

const double DF = 80; // Forearm length (Elbow - Wrist)

const double GRIPPERMAX = 180;

// Smooth move stepsize
const int STEPSIZE = 1;

// Delay during smooth move in us
const int DELAY = 50;

// inital position
const double XINIT = 0;
const double YINIT = 120;
const double ZINIT = 50;

#endif
